#![no_std]
#![no_main]

use core::panic::PanicInfo;

#[unsafe(no_mangle)]
unsafe extern "C" fn main() -> ! {
    unsafe { x86_64::instructions::port::Port::new(0x3f8).write(9u8) };
    panic!()
}

#[panic_handler]
pub fn panic(_info: &PanicInfo) -> ! {
    loop {}
}
